<?php
include("cp_header.php");
/**************************************************صفحة عرض الصفحات والتى يجب تعديلها لتحسن السيو*********************************************************************/

//الحماية من الحقن
if(!isset($_GET['search'])){ die(); };

injection($_GET['search']);
/*  اسم الجدول وبداية الكويرى */  
$table='pages_desc';



//استعلام لتحديد العدد الكلى للسجلات

//بداية الاستعلام
$query="select count(id) from $table";		


//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);

//استخراج النتائج
$fetch=mysqli_fetch_row($result);

//تحديد عدد الصفوف
$num_rows=$fetch[0];
?>

<!-- /////////// -->
<div style="visibility:hidden" id="table_name"><?php echo $table?></div>
<div id="load_page" style="display:none">load_<?php echo $table?>_search</div>
<input type="hidden" id="active_page" value="active_<?php  echo $table; ?>" />


<!-- /////////// -->
<div id="cp_cont">
<div id="show_user_details"></div>
<div id="cp_title">اعداد القوائم 
</div>	

<div class="search_div">

	<div style="width:200px;height:40px;float:right;margin-top:-10px;text-align:right;">
	


	<br/> القوائم المتاحة
	<select style="height:40px;width:200px;float:right;" name="comp" class="required" id="main_menu_list" max="<?php echo $max_rows; ?>" lang="<?php echo  $table ?>" search="<?php echo $_GET['search'] ?>" alt="<?php echo   $num ?>" >

		<option  value=""></option>
		<?php
		//استدعاء القوائم من قاعدة البيانات
		$query_menus="select id,title from menus ";
		$result_menus=mysqli_query($conn,$query_menus);



		   /*بداية التكرار */  
		while($fetch_menus = mysqli_fetch_array($result_menus)) {
   		 $fetch_menus = clean_array($fetch_menus); $menus[]=$fetch_menus['title'];?>

			<option value="<?php echo $fetch_menus['title'] ;?>"><?php echo $fetch_menus['title'] ;?></option>

		<?php }?>
		
		



	</select>
	</div>


	<div id="save_tr" ></div>
</div>	



<div id="result_limit">

<div id="news_cont">
<div id="load_wait"></div>
<div id="result_view">
	
<table   cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>
<td align="center" width='20'>الصورة</td>
<td align="center" style='display:none;'>اسم الصفحة</td>
<td align="center" >عنوان الصفحة</td>
<td width='100' align="center" >القائمة التابع لها</td>
<td width='5' align="center">الترتيب</td>
<td width='5' align="center">النشر</td>

</tr>	
	
	
<?php


//بداية الاستعلام
$query="select id,page_title,page_name,menu,active,sort,created,modified,user_created,user_modified,priority from $table where not_menued=0  order by  menu asc ,sort asc, id asc ";	

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);




   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
	

			
	
	

echo"<tr  tr_id='$fetch[id]' priority='$fetch[priority]' arrang='$fetch[sort]' id='tr$fetch[id]' class='table_tr'>";
echo"<td align='center'>
<img loading='lazy' class='view_image' width='25' height='25'  src='../img/pages_desc/img".$fetch['id']."_tiny.webp?time=".time()."' />
</td>";
echo"<td style='display:none;'><div>$fetch[page_name]</div></td>";
echo"<td><div>$fetch[page_title]</div></td>";
echo"<td><div><select id='$fetch[id]' class='page_menu_change'> ";

echo"<option "; if($fetch['menu']==''){echo 'selected' ;}  echo " value='' >   </option>";

for($i=0;$i<count($menus);$i++){
	echo"<option "; if($fetch['menu']==$menus[$i]){echo 'selected' ;}  echo " value='$menus[$i]'>$menus[$i]</option>";

}


echo "</select></div></td>";


echo"<td align='center'>";
?>
<div tr_id="<?php echo $fetch['id']?>" arrang="<?php echo $fetch['sort']?>" priority="<?php echo $fetch['priority']?>" class="up_arrow"></div>
<div tr_id="<?php echo $fetch['id']?>" arrang="<?php echo $fetch['sort']?>" priority="<?php echo $fetch['priority']?>" class="down_arrow"></div>

<?php
echo"</td>";


echo"<td align='center'><a class='active_multi' table='$table' alt='$fetch[id]'>";
if($fetch['active']=='1'){
echo"<img loading='lazy'  id='active_image$fetch[id]' class='active_image' src='../img/active.png' status='0'></a></td>";	
}else{
echo"<img loading='lazy' table='$table' id='active_image$fetch[id]' class='active_image' src='../img/not_active.png' status='1'></a></td>";		
}

echo"</tr>";
}	
?>
</table>
</div>

<div style='display:none' id='done_load'>done</div>
</div>
</div>	


</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>